Subject: Re: [PATCH v3 0/9] ptp .adjphase cleanups

From: Rahul Rameshbabu <[email-masked]>
Date: Mon, 12 Jun 2023 14:25:42 -0700

On Mon, 12 Jun, 2023 14:14:51 -0700 Rahul Rameshbabu <[email-masked]> wrote:
> The goal of this patch series is to improve documentation of .adjphase, add
> a new callback .getmaxphase to enable advertising the max phase offset a
> device PHC can support, and support invoking .adjphase from the testptp
> kselftest.
>
> Changes:
>   v3->v2:
>     * Add information about returning -ERANGE instead of clamping
>       out-of-range offsets for driver implementations of .adjphase that
>       previously clamped out-of-range offsets.
>
>       Link: https://lore.kernel.org/netdev/[email-masked]/
>   v2->v1:
>     * Removes arbitrary rule that the PHC servo must restore the frequency
>       to the value used in the last .adjfine call if any other PHC
>       operation is used after a .adjphase operation.
>     * Removes a macro introduced in v1 for adding PTP sysfs device
>       attribute nodes using a callback for populating the data.
>
> Link: https://lore.kernel.org/netdev/[email-masked]/ 
> Link: https://lore.kernel.org/netdev/[email-masked]/
> Link: https://lore.kernel.org/netdev/[email-masked]/
>
> Cc: Jakub Kicinski <[email-masked]>
> Cc: Richard Cochran <[email-masked]>

Sorry that this submission did not correctly target the net-next tree in
the subject. I have been submitting to other subsystems and forgot to
target the correct tree in the subject of this patch series.

-- Rahul Rameshbabu